package com.rongwei.sfcommon.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwe.scentity.domian.PointCheckDo;
import com.rongwe.scentity.vo.PointCheckVo;
import com.rongwei.rwcommon.base.QueryPar;

import java.util.Map;

/**
 * 点检任务表
 *
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2020-07-17 09:33:23
 */
public interface PointCheckService extends IService<PointCheckDo> {

    IPage<PointCheckVo> pointCheckList(QueryPar<PointCheckVo> pointCheckVo);

    IPage<PointCheckVo> notPointCheckList(QueryPar<PointCheckVo> pointCheckVo);

    void createHiddenDangerTask(Map<String, Object> map);

    PointCheckVo ydPointCheckInfo(PointCheckDo pointCheckDo);

    PointCheckVo queryLastCheckInfo(String pointCheckId);

    void pointCheckSave(PointCheckVo pointCheckVo);

    void pintCheckDelayReminder();

    IPage<PointCheckVo> sparePointCheckList(QueryPar<PointCheckVo> pointCheckVo);
}

